<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'realestate',

    /*
     * Package.
     */
    'package'   => 'location',

    /*
     * Modules.
     */
    'modules'   => ['location'],

    
    'location'       => [
        'model' => [
            'model'                 => \Realestate\Location\Models\Location::class,
            'table'                 => 'locations',
            'presenter'             => \Realestate\Location\Repositories\Presenter\LocationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'parent_id',  'user_id',  'user_type',  'code',  'slug',  'name',  'description',  'status',  'type',  'latitude',  'longitude',  'currency',  'language',  'images',  'videos',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'location/location',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Location',
            'module'    => 'Location',
        ],

    ],
];
