<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLocationsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: locations
         */
        Schema::create('locations', function ($table) {
            $table->increments('id');
            $table->integer('parent_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->string('code', 100)->nullable();
            $table->string('slug', 255)->nullable();
            $table->string('name', 255)->nullable();
            $table->text('description')->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->enum('type', ['Continent','Country','State','Location','Sublocation','Area'])->nullable();
            $table->string('latitude', 100)->nullable();
            $table->string('longitude', 100)->nullable();
            $table->string('currency', 100)->nullable();
            $table->string('language', 100)->nullable();
            $table->longText('images')->nullable();
            $table->longText('videos')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('locations');
    }
}
