<?php

namespace Realestate\Location\Forms;

class Location
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'parent_id' => [
                    "type" => 'numeric',
                    "label" => trans('location::location.label.parent_id'),
                    "placeholder" => trans('location::location.placeholder.parent_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'code' => [
                    "type" => 'text',
                    "label" => trans('location::location.label.code'),
                    "placeholder" => trans('location::location.placeholder.code'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'name' => [
                    "type" => 'text',
                    "label" => trans('location::location.label.name'),
                    "placeholder" => trans('location::location.placeholder.name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'text',
                    "label" => trans('location::location.label.description'),
                    "placeholder" => trans('location::location.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'type' => [
                    "type" => 'select',
                    "label" => trans('location::location.label.type'),
                    "placeholder" => trans('location::location.placeholder.type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'latitude' => [
                    "type" => 'text',
                    "label" => trans('location::location.label.latitude'),
                    "placeholder" => trans('location::location.placeholder.latitude'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'longitude' => [
                    "type" => 'text',
                    "label" => trans('location::location.label.longitude'),
                    "placeholder" => trans('location::location.placeholder.longitude'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'currency' => [
                    "type" => 'text',
                    "label" => trans('location::location.label.currency'),
                    "placeholder" => trans('location::location.placeholder.currency'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'language' => [
                    "type" => 'text',
                    "label" => trans('location::location.label.language'),
                    "placeholder" => trans('location::location.placeholder.language'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'images' => [
                    "type" => 'text',
                    "label" => trans('location::location.label.images'),
                    "placeholder" => trans('location::location.placeholder.images'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'videos' => [
                    "type" => 'html_editor',
                    "label" => trans('location::location.label.videos'),
                    "placeholder" => trans('location::location.placeholder.videos'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
